use crate::mapedit::*;
use crate::Background;

impl Background {
    pub(crate) fn draw_frame(&mut self, pos: IVec2, size: IVec2) {
        let px1 = pos.x as usize;
        let py1 = pos.y as usize;
        let sx = size.x as usize;
        let sy = size.y as usize;
        let px2 = px1 + sx - 1;
        let py2 = py1 + sy - 1;

        self.tiles[px1][py1] = TILE_FRTL;
        self.tiles[px1][py2] = TILE_FRBL;
        self.tiles[px2][py1] = TILE_FRTR;
        self.tiles[px2][py2] = TILE_FRBR;

        for x in (px1 + 1)..px2 {
            self.tiles[x][py1] = TILE_FRT;
            self.tiles[x][py2] = TILE_FRB;
        }

        for y in (py1 + 1)..py2 {
            self.tiles[px1][y] = TILE_FRL;
            self.tiles[px2][y] = TILE_FRR;
        }
        for x in (px1 + 1)..px2 {
            for y in (py1 + 1)..py2 {
                self.tiles[x][y] = TILE_FRBG;
            }
        }
    }
}
