use glam::IVec2;

pub struct Surface<'a> {
    pub data: &'a mut [u8],
    pub size: IVec2,
}

impl<'a> Surface<'a> {
    pub fn draw_vline(&mut self, pos: IVec2, len: i32, color: u8) {
        for i in 0..len {
            self.data[(pos.x + (pos.y + i) * self.size.x) as usize] = color;
        }
    }

    pub fn draw_hline(&mut self, pos: IVec2, len: i32, color: u8) {
        for i in 0..len {
            self.data[(pos.x + i + pos.y * self.size.x) as usize] = color;
        }
    }
}
